<template>
  <div id="Error" class="box container has-text-centered section">
    <p class="title">{{ errorTitle }}</p>
    <p class="subtitle">{{ errorSubtitle }}</p>
    <img v-if="hasImg" :src="imgSrc" alt="Internal error cat" />
    <p class="subtitle">
      someting goes wrong..
    </p>
  </div>
</template>
<script lang="ts">
import { Component, Vue, Prop } from 'nuxt-property-decorator'

@Component({})
export default class Error extends Vue {
  @Prop({ default: 500 }) readonly errorCode!: number
  @Prop({ default: true }) readonly hasImg!: boolean
  @Prop({ default: 'Indexer Error' }) errorTitle!: string
  @Prop({ default: 'Indexer is not working properly.' }) errorSubtitle!: string

  get imgSrc() {
    return `https://http.cat/${this.$props.errorCode}`
  }
}
</script>
